# Uses of Interface
org.github.jamm.MemoryMeterStrategy

Packages that use MemoryMeterStrategy
Package
Description
org.github.jamm
org.github.jamm.strategies
org.github.jamm.string

## Uses of MemoryMeterStrategy in org.github.jamm

Methods in org.github.jamm with parameters of type MemoryMeterStrategy
Modifier and Type
Method
Description
`default long`
Measurable.`shallowSize(MemoryMeterStrategy strategy)`
Allow the implementation to pre-compute and cache the `Measurable` shallow size.
Constructors in org.github.jamm with parameters of type MemoryMeterStrategy
Modifier
Constructor
Description
``
`MemoryMeter(MemoryMeterStrategy strategy, FieldAndClassFilter classFilter, FieldFilter fieldFilter, MemoryMeterListener.Factory listenerFactory)`
Create a new `MemoryMeter` instance from the different component it needs to measure object graph.

## Uses of MemoryMeterStrategy in org.github.jamm.strategies

Classes in org.github.jamm.strategies that implement MemoryMeterStrategy
Modifier and Type
Class
Description
`class`
`InstrumentationAndSpecStrategy`
Strategy that use `java.lang.instrument.Instrumentation` to measure non array object and the `Specification` approach to measure arrays.
`class`
`MemoryLayoutBasedStrategy`
Base class for strategies that need access to the `MemoryLayoutSpecification` for computing object size.
`final class`
`UnsafeStrategy`
`MemoryMeterStrategy` relying on `Unsafe` to measure object sizes for Java versions ≥ 15.
Methods in org.github.jamm.strategies that return MemoryMeterStrategy
Modifier and Type
Method
Description
`MemoryMeterStrategy`
MemoryMeterStrategies.`getStrategy(List<MemoryMeter.Guess> guessList)`

## Uses of MemoryMeterStrategy in org.github.jamm.string

Methods in org.github.jamm.string with parameters of type MemoryMeterStrategy
Modifier and Type
Method
Description
`long`
StringMeter.`measureDeep(MemoryMeterStrategy strategy, String s)`
Measure the deep size of the specified String.
`protected abstract long`
StringMeter.`measureStringValue(MemoryMeterStrategy strategy, String s)`
Measure the size of the value of the specified String.